Menu

## LotGDTestCase extends TestCase
in package

LotGDTestCase.php : 22

### Table of Contents

assertBuffEventMessageExists() : mixed
  Asserts that a certain BuffMessageEvent with a specific text is contained in the lst of events
assertDataWasKeptIntact() : void
  Asserts if tables from a given PDO connection are equal to the original dataset
assertHasAction() : void
  Asserts that a Viewpoint contains a given action.
assertNotHasAction() : void
  Asserts that a Viewpoint does not contain a given action.
getAction() : Action|null
takeActions() : mixed
  Helper method to take an action, or a series of actions, on a given viewpoint.

### Methods

#### assertBuffEventMessageExists()

LotGDTestCase.php : 74

Asserts that a certain BuffMessageEvent with a specific text is contained in the lst of events

`public assertBuffEventMessageExists(Collection $events, string $battleEventText[, int $timesAtLeast = 1 ][, int|null $timesAtMax = null ]) : mixed`

##### Parameters

$events : Collection

  The list of events

$battleEventText : string

  The text to test for

$timesAtLeast : int = 1

  Mininum number of times the message is expected to be in the event list

$timesAtMax : int|null = null

  Maximum number of times the message is expected to be in the event list, or $timesAtLeast if null.

##### Return values

mixed —

#### assertDataWasKeptIntact()

LotGDTestCase.php : 31

Asserts if tables from a given PDO connection are equal to the original dataset

`public assertDataWasKeptIntact(array<string|int, mixed> $before, PDO $pdo[, array<string|int, mixed>|null $restrictToTables = null ]) : void`

##### Parameters

$before : array<string|int, mixed>

  Previous dataset, in the style of $before[table] => [row1, row2], where each row is an associative array with each column name.

$pdo : PDO
$restrictToTables : array<string|int, mixed>|null = null

##### Return values

void —

#### assertHasAction()

LotGDTestCase.php : 199

Asserts that a Viewpoint contains a given action.

`public assertHasAction(Viewpoint $viewpoint, array<string|int, mixed> $actionParams[, string|null $groupTitle = null ][, string $message = '' ]) : void`

##### Parameters

$viewpoint : Viewpoint
$actionParams : array<string|int, mixed>
$groupTitle : string|null = null
$message : string = ''

##### Return values

void —

#### assertNotHasAction()

LotGDTestCase.php : 176

Asserts that a Viewpoint does not contain a given action.

`public assertNotHasAction(Viewpoint $viewpoint, array<string|int, mixed> $actionParams[, string|null $groupTitle = null ][, string $message = '' ]) : void`

##### Parameters

$viewpoint : Viewpoint
$actionParams : array<string|int, mixed>
$groupTitle : string|null = null
$message : string = ''

##### Return values

void —

#### getAction()

LotGDTestCase.php : 131
`public getAction(Viewpoint $viewpoint, array<string|int, mixed> $actionParams[, string|null $groupTitle = null ]) : Action|null`

##### Parameters

$viewpoint : Viewpoint
$actionParams : array<string|int, mixed>
$groupTitle : string|null = null

##### Return values

Action|null —

#### takeActions()

LotGDTestCase.php : 117

Helper method to take an action, or a series of actions, on a given viewpoint.

`public takeActions(Game $game, Viewpoint $viewpoint, array<string|int, mixed> $actions) : mixed`

##### Parameters

$game : Game
$viewpoint : Viewpoint
$actions : array<string|int, mixed>

##### Tags

throws
  ActionNotFoundException
throws
  SceneNotFoundException

##### Return values

mixed —

## Search results